<?php 

namespace Drupal\noahs_page_builder;

class Control_Tab {
	
	public function get_type() {
		return 'tab';
	}

	public function content_template($content, $tab_id, $title, $delta = null, $first = null) {
		if (is_array($content)) {
			return; // Si $content es un array, simplemente retornamos vacío según tu condición
		}
	
		$output = '';
	
		$output .= '<div class="tab-pane fade ' . (($delta === 0 || $first) ? 'active show' : '') . '" id="nav-' . $tab_id . $delta . '" role="tabpanel" aria-labelledby="nav-' . $tab_id . $delta . '-tab' . '">';
		$output .= '<div class="noahs_page_builder-tab_content">';
		$output .= $content;
		$output .= '</div>';
		$output .= '</div>';
	
		return $output;
	}
	
	protected function get_default_settings() {
		return [
			'input_type' => 'tab',
			'placeholder' => '',
			'title' => '',
		];
	}
}