<?php 

namespace Drupal\noahs_page_builder;

class Control_Group {
	
	public function get_type() {
		return 'group';
	}

	public function content_template($content, $group_id, $title) {
		$html = '<div class="noahs_page_builder-group noahs_page_builder_field" id="noahs_page_builder_' . htmlspecialchars($group_id) . '">';
		$html .= '<h5 class="d-flex justify-content-between" data-bs-toggle="collapse" href="#' . htmlspecialchars($group_id) . '" role="button" aria-expanded="false" aria-controls="' . htmlspecialchars($group_id) . '">';
		$html .= htmlspecialchars($title) . '<i class="fa-solid fa-angle-down"></i></h5>';
		$html .= '<div class="noahs_page_builder-group_content collapse" id="' . htmlspecialchars($group_id) . '">';
		$html .= $content;
		$html .= '</div></div>';
	
		return $html;
	}
	protected function get_default_settings() {
		return [
			'input_type' => 'group',
			'placeholder' => '',
			'title' => '',
		];
	}
}