<?php 

namespace Drupal\noahs_page_builder;

class Control_Noahs_Group_Radio{
	
	public function get_type() {
		return 'noahs_group_radio';
	}

	public function content_template($data, $name, $value) {
		$html = '';
	
		$html .= '<div class="noahs_page_builder_field field__Noahs_group_radiobox">';
		$html .= '<h5>' . $data['title'] . '</h5>';
		$html .= '<ul class="field-element-list-horizontal">';
		
		foreach ($data['options'] as $key => $option) {
			$html .= '<li>';
			$html .= '<input type="radio" id="option-' . $key . '" name="' . $name . '" value="' . $key . '" class="form-check-input" field-settings>';
			$html .= '<label for="option-' . $key . '">' . $option . '</label>';
			$html .= '</li>';
		}
	
		$html .= '</ul>';
		$html .= '</div>';
	
		return $html;
	}
	

	protected function get_default_settings() {
		return [
			'input_type' => 'noahs_group_radio',
			'placeholder' => '',
			'title' => '',
		];
	}
}